Package org.zkoss.zk.ui.metainfo

## Class EventHandler

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.EventHandler

- All Implemented Interfaces:
    `java.io.Serializable`, `Condition`

      public class EventHandler
      extends java.lang.Object

  An event handler of a component definition (`ComponentDefinition`).
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventHandler​(ZScript zscript)` |
    `EventHandler​(EvaluatorRef evalr, ZScript zscript, ConditionImpl cond)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConditionImpl` | `getCondition()` | Returns the effectiveness condition.
    `EvaluatorRef` | `getEvaluatorRef()` | Returns the evaluator reference.
    `ZScript` | `getZScript()` | Returns the zscript associated with this event handler.
    `boolean` | `isEffective​(Component comp)` | Used to evaluate whether it is effective.
    `boolean` | `isEffective​(Page page)` | Used to evaluate whether it is effective.
    `void` | `setCondition​(ConditionImpl cond)` | Sets the effectiveness condition.
    `boolean` | `withCondition()` | Tests if the condition is set

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventHandler

          public EventHandler​(EvaluatorRef evalr,
                              ZScript zscript,
                              ConditionImpl cond)

    - #### EventHandler

          public EventHandler​(ZScript zscript)

  - ### Method Detail

    - #### getZScript

          public ZScript getZScript()

      Returns the zscript associated with this event handler.

    - #### getEvaluatorRef

          public EvaluatorRef getEvaluatorRef()

      Returns the evaluator reference.

    - #### getCondition

          public ConditionImpl getCondition()

      Returns the effectiveness condition.

    - #### setCondition

          public void setCondition​(ConditionImpl cond)

      Sets the effectiveness condition.

    - #### withCondition

          public boolean withCondition()

      Tests if the condition is set

    - #### isEffective

          public boolean isEffective​(Component comp)

      Description copied from interface: `Condition`
      Used to evaluate whether it is effective.
      Specified by:
        `isEffective` in interface `Condition`
      Parameters:
        `comp` - used as the self variable. Ignored if null.

    - #### isEffective

          public boolean isEffective​(Page page)

      Description copied from interface: `Condition`
      Used to evaluate whether it is effective.
      Specified by:
        `isEffective` in interface `Condition`
      Parameters:
        `page` - used as the self variable. Ignored if null.